using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace F89280
{
    public partial class Form1 : Form
    {
        private int rowcount = 10;
        private string[] dept ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE" };
        private string[] year ={ "I", "II", "III", "IV" };
        private DataTable dt;

        public Form1()
        {
            InitializeComponent();

            dt = new DataTable();
            dt.Columns.Add("SNo");
            dt.Columns.Add("StudentID");
            dt.Columns.Add("Department");
            dt.Columns.Add("Year");
            dt.Columns.Add("Percentage");

            Random r = new Random(124321);
            for (int i = 0; i < rowcount; i++)
            {
                DataRow dr = dt.NewRow();
                if ((i + 1) < 10)
                {
                    dr[0] = "0" + (i + 1).ToString();
                    dr[1] = "S" + "0" + (i + 1).ToString();
                }
                else
                {
                    dr[0] = (i + 1).ToString();
                    dr[1] = "S" + (i + 1).ToString();
                }
                dr[2] = dept[r.Next(0, 9)];
                dr[3] = year[r.Next(0, 3)];
                dr[4] = r.Next(75,95);
                dt.Rows.Add(dr);
            }
            this.gridControl1.PopulateValues(GridRangeInfo.Cells(1, 1, 10, 5), dt);
            this.gridControl1.PrepareViewStyleInfo += new GridPrepareViewStyleInfoEventHandler(gridControl1_PrepareViewStyleInfo);
        }

        void gridControl1_PrepareViewStyleInfo(object sender, GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.ColIndex == 5)
            {
                e.Style.FormattedText = e.Style.Text + "%";
            }
        }
    }
}